
\name{
dim.GnumericSheetRef
}

\alias{
dim.GnumericSheetRef
}

\alias{
isEmpty.GnumericSheetRef
}

\alias{
redraw.GnumericSheetRef
}

\alias{
setDirty.GnumericSheetRef
}

\title{
Query and Control a Gnumeric Worksheet
}

\description{
 
These functions operate on a single Gnumeric
worksheet and allow the caller to query
the size of the sheet or whether it contains
any non-empty cells, and
also to set its state such as needing
to be recalculated or forcing it to be redrawn.

}

\usage{
dim.GnumericSheetRef
(
x
,
collapse
= 
T
)

isEmpty.GnumericSheetRef
(
sheet
,
i
,
j
)

redraw.GnumericSheetRef
(
cells
,
headers
= 
FALSE
,
recalc
= 
FALSE
)

setDirty.GnumericSheetRef
(
x
)

sheetExtent
(
.sheet
)
}

\arguments{
 \item{
x
}{
   
 }

 \item{
collapse
}{
   
a logical value indicating whether
the size of the sheet should
be given as the extreme cell locations (row and columns)
of the top-left and bottom-right most entries
or collapsed into the dimension (number of rows and columns)
of the range enclosing these extremes.
The difference arises when the first rows and columns
are empty and the content is in the interior of the sheet.
This allows one to obtain the number of contguously populated
cells or the specific locations of the region containing all the data.

 }

 \item{
sheet
}{
   
 The Gnumeric worksheet reference
to which the queries and operations are to apply.
This is an object of class 
GnumericSheetRef
and should be obtained via  a Gnumeric function call
and its .sheet
argument and not stored across calls.

 }

 \item{
i
}{
   
an integer identifying the
row in the sheet.
This is used with 
to identify the cell 
to determine if it is empty.

 }

 \item{
j
}{
   
an string or integer identifying
the column in the sheet.
See .

 }

 \item{
cells
}{
   
 }

 \item{
headers
}{
   
 }

 \item{
recalc
}{
   
 }

 \item{
.sheet
}{
   
a reference to the Gnumeric worksheet.

 }
}

\details{}

\value{}

\references{}

\author{
\url{http://cm.bell-labs.com/stat/duncan}
}

\note{}

\seealso{
\code{\link{}}

\url{}
}

\examples{
   
}

\keyword{ 
interface
}
